﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión del motor en tiempo de ejecución:2.0.50727.9151
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DECOR_REPOSITORIO.LOGIN_STOCKWs {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", ConfigurationName="LOGIN_STOCKWs.ZWS_LOGIN_STOCK")]
    public interface ZWS_LOGIN_STOCK {
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que la operación ZRFC_LOGIN_STOCK no es RPC ni está encapsulada en un documento.
        [System.ServiceModel.OperationContractAttribute(Action="urn:sap-com:document:sap:rfc:functions:ZWS_LOGIN_STOCK:ZRFC_LOGIN_STOCKRequest", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute()]
        DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKResponse1 ZRFC_LOGIN_STOCK(DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKRequest request);
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.9149")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="urn:sap-com:document:sap:rfc:functions")]
    public partial class ZRFC_LOGIN_STOCK : object, System.ComponentModel.INotifyPropertyChanged {
        
        private ZSSD_INPUT_LOGIN_STOCK i_DATOSField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public ZSSD_INPUT_LOGIN_STOCK I_DATOS {
            get {
                return this.i_DATOSField;
            }
            set {
                this.i_DATOSField = value;
                this.RaisePropertyChanged("I_DATOS");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.9149")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:sap-com:document:sap:rfc:functions")]
    public partial class ZSSD_INPUT_LOGIN_STOCK : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string uSUARIOField;
        
        private string pASSWORDField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string USUARIO {
            get {
                return this.uSUARIOField;
            }
            set {
                this.uSUARIOField = value;
                this.RaisePropertyChanged("USUARIO");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string PASSWORD {
            get {
                return this.pASSWORDField;
            }
            set {
                this.pASSWORDField = value;
                this.RaisePropertyChanged("PASSWORD");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.9149")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:sap-com:document:sap:rfc:functions")]
    public partial class ZSSD_LOG_STOCK : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string iTEMField;
        
        private string uSUARIOField;
        
        private string fECHAField;
        
        private System.DateTime hORAField;
        
        private string idField;
        
        private string mENSAJE_IDField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string ITEM {
            get {
                return this.iTEMField;
            }
            set {
                this.iTEMField = value;
                this.RaisePropertyChanged("ITEM");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string USUARIO {
            get {
                return this.uSUARIOField;
            }
            set {
                this.uSUARIOField = value;
                this.RaisePropertyChanged("USUARIO");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string FECHA {
            get {
                return this.fECHAField;
            }
            set {
                this.fECHAField = value;
                this.RaisePropertyChanged("FECHA");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, DataType="time", Order=3)]
        public System.DateTime HORA {
            get {
                return this.hORAField;
            }
            set {
                this.hORAField = value;
                this.RaisePropertyChanged("HORA");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        public string ID {
            get {
                return this.idField;
            }
            set {
                this.idField = value;
                this.RaisePropertyChanged("ID");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=5)]
        public string MENSAJE_ID {
            get {
                return this.mENSAJE_IDField;
            }
            set {
                this.mENSAJE_IDField = value;
                this.RaisePropertyChanged("MENSAJE_ID");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.9149")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:sap-com:document:sap:rfc:functions")]
    public partial class ZSSD_CATEGORIAS : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string cODIGOField;
        
        private string nOMBREField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string CODIGO {
            get {
                return this.cODIGOField;
            }
            set {
                this.cODIGOField = value;
                this.RaisePropertyChanged("CODIGO");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string NOMBRE {
            get {
                return this.nOMBREField;
            }
            set {
                this.nOMBREField = value;
                this.RaisePropertyChanged("NOMBRE");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.9149")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:sap-com:document:sap:rfc:functions")]
    public partial class ZSSD_OUTPUT_LOGIN_STOCK : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string pERNRField;
        
        private string vKORGField;
        
        private string vTWEGField;
        
        private string vKGRPField;
        
        private string vKBURField;
        
        private string cNAMEField;
        
        private string kUNNRField;
        
        private string eMAILField;
        
        private string sPARTField;
        
        private string nAME1Field;
        
        private string cORREOField;
        
        private ZSSD_CATEGORIAS[] cATEG1Field;
        
        private ZSSD_CATEGORIAS[] cATEG2Field;
        
        private ZSSD_CATEGORIAS[] mARCAField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string PERNR {
            get {
                return this.pERNRField;
            }
            set {
                this.pERNRField = value;
                this.RaisePropertyChanged("PERNR");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string VKORG {
            get {
                return this.vKORGField;
            }
            set {
                this.vKORGField = value;
                this.RaisePropertyChanged("VKORG");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string VTWEG {
            get {
                return this.vTWEGField;
            }
            set {
                this.vTWEGField = value;
                this.RaisePropertyChanged("VTWEG");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public string VKGRP {
            get {
                return this.vKGRPField;
            }
            set {
                this.vKGRPField = value;
                this.RaisePropertyChanged("VKGRP");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        public string VKBUR {
            get {
                return this.vKBURField;
            }
            set {
                this.vKBURField = value;
                this.RaisePropertyChanged("VKBUR");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=5)]
        public string CNAME {
            get {
                return this.cNAMEField;
            }
            set {
                this.cNAMEField = value;
                this.RaisePropertyChanged("CNAME");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=6)]
        public string KUNNR {
            get {
                return this.kUNNRField;
            }
            set {
                this.kUNNRField = value;
                this.RaisePropertyChanged("KUNNR");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=7)]
        public string EMAIL {
            get {
                return this.eMAILField;
            }
            set {
                this.eMAILField = value;
                this.RaisePropertyChanged("EMAIL");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=8)]
        public string SPART {
            get {
                return this.sPARTField;
            }
            set {
                this.sPARTField = value;
                this.RaisePropertyChanged("SPART");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=9)]
        public string NAME1 {
            get {
                return this.nAME1Field;
            }
            set {
                this.nAME1Field = value;
                this.RaisePropertyChanged("NAME1");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=10)]
        public string CORREO {
            get {
                return this.cORREOField;
            }
            set {
                this.cORREOField = value;
                this.RaisePropertyChanged("CORREO");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=11)]
        [System.Xml.Serialization.XmlArrayItemAttribute("item", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public ZSSD_CATEGORIAS[] CATEG1 {
            get {
                return this.cATEG1Field;
            }
            set {
                this.cATEG1Field = value;
                this.RaisePropertyChanged("CATEG1");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=12)]
        [System.Xml.Serialization.XmlArrayItemAttribute("item", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public ZSSD_CATEGORIAS[] CATEG2 {
            get {
                return this.cATEG2Field;
            }
            set {
                this.cATEG2Field = value;
                this.RaisePropertyChanged("CATEG2");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=13)]
        [System.Xml.Serialization.XmlArrayItemAttribute("item", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public ZSSD_CATEGORIAS[] MARCA {
            get {
                return this.mARCAField;
            }
            set {
                this.mARCAField = value;
                this.RaisePropertyChanged("MARCA");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "2.0.50727.9149")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="urn:sap-com:document:sap:rfc:functions")]
    public partial class ZRFC_LOGIN_STOCKResponse : object, System.ComponentModel.INotifyPropertyChanged {
        
        private ZSSD_OUTPUT_LOGIN_STOCK o_DATOSField;
        
        private ZSSD_LOG_STOCK o_LOGField;
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public ZSSD_OUTPUT_LOGIN_STOCK O_DATOS {
            get {
                return this.o_DATOSField;
            }
            set {
                this.o_DATOSField = value;
                this.RaisePropertyChanged("O_DATOS");
            }
        }
        
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public ZSSD_LOG_STOCK O_LOG {
            get {
                return this.o_LOGField;
            }
            set {
                this.o_LOGField = value;
                this.RaisePropertyChanged("O_LOG");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ZRFC_LOGIN_STOCKRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", Order=0)]
        public DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCK ZRFC_LOGIN_STOCK;
        
        public ZRFC_LOGIN_STOCKRequest() {
        }
        
        public ZRFC_LOGIN_STOCKRequest(DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCK ZRFC_LOGIN_STOCK) {
            this.ZRFC_LOGIN_STOCK = ZRFC_LOGIN_STOCK;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ZRFC_LOGIN_STOCKResponse1 {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", Order=0)]
        public DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKResponse ZRFC_LOGIN_STOCKResponse;
        
        public ZRFC_LOGIN_STOCKResponse1() {
        }
        
        public ZRFC_LOGIN_STOCKResponse1(DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKResponse ZRFC_LOGIN_STOCKResponse) {
            this.ZRFC_LOGIN_STOCKResponse = ZRFC_LOGIN_STOCKResponse;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    public interface ZWS_LOGIN_STOCKChannel : DECOR_REPOSITORIO.LOGIN_STOCKWs.ZWS_LOGIN_STOCK, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    public partial class ZWS_LOGIN_STOCKClient : System.ServiceModel.ClientBase<DECOR_REPOSITORIO.LOGIN_STOCKWs.ZWS_LOGIN_STOCK>, DECOR_REPOSITORIO.LOGIN_STOCKWs.ZWS_LOGIN_STOCK {
        
        public ZWS_LOGIN_STOCKClient() {
        }
        
        public ZWS_LOGIN_STOCKClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ZWS_LOGIN_STOCKClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ZWS_LOGIN_STOCKClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ZWS_LOGIN_STOCKClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKResponse1 DECOR_REPOSITORIO.LOGIN_STOCKWs.ZWS_LOGIN_STOCK.ZRFC_LOGIN_STOCK(DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKRequest request) {
            return base.Channel.ZRFC_LOGIN_STOCK(request);
        }
        
        public DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKResponse ZRFC_LOGIN_STOCK(DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCK ZRFC_LOGIN_STOCK1) {
            DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKRequest inValue = new DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKRequest();
            inValue.ZRFC_LOGIN_STOCK = ZRFC_LOGIN_STOCK1;
            DECOR_REPOSITORIO.LOGIN_STOCKWs.ZRFC_LOGIN_STOCKResponse1 retVal = ((DECOR_REPOSITORIO.LOGIN_STOCKWs.ZWS_LOGIN_STOCK)(this)).ZRFC_LOGIN_STOCK(inValue);
            return retVal.ZRFC_LOGIN_STOCKResponse;
        }
    }
}
